#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	GnuPG
Summary:	Mail::GnuPG - Process email with GPG
Summary(pl.UTF-8):	Mail::GnuPG - przetwarzanie poczty elektronicznej przy użyciu GPG
Name:		perl-Mail-GnuPG
Version:	0.23
Release:	1
License:	GPL v2 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9661f16109d957720a924fa58ed8b09d
URL:		http://search.cpan.org/dist/Mail-GnuPG/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-GnuPG-Interface
BuildRequires:	perl-MIME-tools
BuildRequires:	perl-MailTools
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Use GnuPG::Interface to process or create PGP signed or encrypted
email.

%description -l pl.UTF-8
GnuPG::Interface służy do przetwarzania i tworzenia podpisanej lub
zaszyfrowanej PGP poczty elektronicznej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT

./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Mail/*.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Mail-GnuPG.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> eaeb167
- up to 0.23

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 01703a7
- up to 0.17

* Sat Apr 05 2008 Jakub Bogusz <qboosh@pld-linux.org> a5846fa
- generic URL

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d0cbff
- up to 0.15

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 09c7b57
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3ba7fd3
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> ca6dfa8
- formatting

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8e8e29b
- spaces->tabs

* Wed Aug 25 2004 Jakub Bogusz <qboosh@pld-linux.org> 58be7f6
- pl

* Tue Aug 24 2004 radek <radek@pld-linux.org> bf223ea
- release 2: changed perl(...) to package names in BR

* Tue Aug 24 2004 radek <radek@pld-linux.org> d034363
- new

